[sandybridge-gt1] False GPU lockup render.IPEHR: 0x7a000003

Bug #982410 reported by hmc8 on 2012-04-15
34
This bug affects 6 people
Affects Status Importance Assigned to Milestone
xf86-video-intel
Invalid
High
linux (Ubuntu)
Medium
Unassigned
xserver-xorg-video-intel (Ubuntu)
High
Unassigned

Bug Description

Tried to start VDR with Option "vdr-sxfe --video=xvmc"

ProblemType: Crash
DistroRelease: Ubuntu 12.04
Package: xserver-xorg-video-intel 2:2.17.0-1ubuntu4
ProcVersionSignature: Ubuntu 3.2.0-23.36-generic 3.2.14
Uname: Linux 3.2.0-23-generic x86_64
.tmp.unity.support.test.0:

ApportVersion: 2.0.1-0ubuntu3
Architecture: amd64
Chipset: sandybridge-gt1
CompizPlugins: No value set for `/apps/compiz-1/general/screen0/options/active_plugins'
CompositorRunning: None
Date: Sun Apr 15 18:03:59 2012
DistUpgraded: Fresh install
DistroCodename: precise
DistroVariant: ubuntu
DkmsStatus: virtualbox, 4.1.12, 3.2.0-23-generic, x86_64: installed
DuplicateSignature: [sandybridge-gt1] GPU lockup render.IPEHR: 0x7a000003 Ubuntu 12.04
ExecutablePath: /usr/share/apport/apport-gpu-error-intel.py
ExtraDebuggingInterest: I just need an easy workaround
GraphicsCard:
 Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller [8086:0102] (rev 09) (prog-if 00 [VGA controller])
   Subsystem: ASUSTeK Computer Inc. Device [1043:844d]
InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Alpha amd64 (20120324)
InterpreterPath: /usr/bin/python2.7
MachineType: System manufacturer System Product Name
ProcCmdline: /usr/bin/python /usr/share/apport/apport-gpu-error-intel.py
ProcEnviron:

ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-23-generic root=UUID=54394293-fdcd-4fe9-bf88-e7ea53c40d08 ro quiet splash vt.handoff=7
RelatedPackageVersions:
 xserver-xorg 1:7.6+12ubuntu1
 libdrm2 2.4.32-1ubuntu1
 xserver-xorg-video-intel 2:2.17.0-1ubuntu4
SourcePackage: xserver-xorg-video-intel
Title: [sandybridge-gt1] False GPU lockup render.IPEHR: 0x7a000003
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups:

dmi.bios.date: 02/28/2012
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: 3506
dmi.board.asset.tag: To be filled by O.E.M.
dmi.board.name: P8H67-V
dmi.board.vendor: ASUSTeK COMPUTER INC.
dmi.board.version: Rev X.0x
dmi.chassis.asset.tag: Asset-1234567890
dmi.chassis.type: 3
dmi.chassis.vendor: Chassis Manufacture
dmi.chassis.version: Chassis Version
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvr3506:bd02/28/2012:svnSystemmanufacturer:pnSystemProductName:pvrSystemVersion:rvnASUSTeKCOMPUTERINC.:rnP8H67-V:rvrRevX.0x:cvnChassisManufacture:ct3:cvrChassisVersion:
dmi.product.name: System Product Name
dmi.product.version: System Version
dmi.sys.vendor: System manufacturer
version.compiz: compiz 1:0.9.7.6-0ubuntu1
version.ia32-libs: ia32-libs N/A
version.libdrm2: libdrm2 2.4.32-1ubuntu1
version.libgl1-mesa-dri: libgl1-mesa-dri 8.0.2-0ubuntu3
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 8.0.2-0ubuntu3
version.xserver-xorg-core: xserver-xorg-core 2:1.11.4-0ubuntu10
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.7.0-0ubuntu1
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.99~git20111219.aacbd629-0ubuntu2
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.17.0-1ubuntu4
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20111201+b5534a1-1build2

hmc8 (hmc8) wrote :
tags: removed: need-duplicate-check
Download full text (3.3 KiB)

Forwarding this bug from Ubuntu reporter hmc8:
http://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-intel/+bug/982410

[Problem]
One of several 0x7... bugs reported to Ubuntu. This one was when using VDR.

[Original Description]
Tried to start VDR with Option "vdr-sxfe --video=xvmc"

ProblemType: Crash
DistroRelease: Ubuntu 12.04
Package: xserver-xorg-video-intel 2:2.17.0-1ubuntu4
ProcVersionSignature: Ubuntu 3.2.0-23.36-generic 3.2.14
Uname: Linux 3.2.0-23-generic x86_64
.tmp.unity.support.test.0:

ApportVersion: 2.0.1-0ubuntu3
Architecture: amd64
Chipset: sandybridge-gt1
CompizPlugins: No value set for `/apps/compiz-1/general/screen0/options/active_plugins'
CompositorRunning: None
Date: Sun Apr 15 18:03:59 2012
DistUpgraded: Fresh install
DistroCodename: precise
DistroVariant: ubuntu
DkmsStatus: virtualbox, 4.1.12, 3.2.0-23-generic, x86_64: installed
DuplicateSignature: [sandybridge-gt1] GPU lockup render.IPEHR: 0x7a000003 Ubuntu 12.04
ExecutablePath: /usr/share/apport/apport-gpu-error-intel.py
ExtraDebuggingInterest: I just need an easy workaround
GraphicsCard:
 Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller [8086:0102] (rev 09) (prog-if 00 [VGA controller])
   Subsystem: ASUSTeK Computer Inc. Device [1043:844d]
InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Alpha amd64 (20120324)
InterpreterPath: /usr/bin/python2.7
MachineType: System manufacturer System Product Name
ProcCmdline: /usr/bin/python /usr/share/apport/apport-gpu-error-intel.py
ProcEnviron:

ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-23-generic root=UUID=54394293-fdcd-4fe9-bf88-e7ea53c40d08 ro quiet splash vt.handoff=7
RelatedPackageVersions:
 xserver-xorg 1:7.6+12ubuntu1
 libdrm2 2.4.32-1ubuntu1
 xserver-xorg-video-intel 2:2.17.0-1ubuntu4
SourcePackage: xserver-xorg-video-intel
Title: [sandybridge-gt1] False GPU lockup render.IPEHR: 0x7a000003
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups:

dmi.bios.date: 02/28/2012
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: 3506
dmi.board.asset.tag: To be filled by O.E.M.
dmi.board.name: P8H67-V
dmi.board.vendor: ASUSTeK COMPUTER INC.
dmi.board.version: Rev X.0x
dmi.chassis.asset.tag: Asset-1234567890
dmi.chassis.type: 3
dmi.chassis.vendor: Chassis Manufacture
dmi.chassis.version: Chassis Version
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvr3506:bd02/28/2012:svnSystemmanufacturer:pnSystemProductName:pvrSystemVersion:rvnASUSTeKCOMPUTERINC.:rnP8H67-V:rvrRevX.0x:cvnChassisManufacture:ct3:cvrChassisVersion:
dmi.product.name: System Product Name
dmi.product.version: System Version
dmi.sys.vendor: System manufacturer
version.compiz: compiz 1:0.9.7.6-0ubuntu1
version.ia32-libs: ia32-libs N/A
version.libdrm2: libdrm2 2.4.32-1ubuntu1
version.libgl1-mesa-dri: libgl1-mesa-dri 8.0.2-0ubuntu3
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 8.0.2-0ubuntu3
version.xserver-xorg-core: xserver-xorg-core 2:1.11.4-0ubuntu10
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.7.0-0ubuntu1
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6....

Read more...

Changed in xserver-xorg-video-intel (Ubuntu):
importance: Undecided → High

Created attachment 60128
BootDmesg.txt

Created attachment 60129
CurrentDmesg.txt

Created attachment 60130
i915_error_state.txt

Bryce Harrington (bryce) wrote :

hmc8 - I've forwarded this bug upstream to https://bugs.freedesktop.org/show_bug.cgi?id=48794 - please subscribe yourself to this bug, in case they need further information or wish you to test something. Thanks ahead of time!

Changed in xserver-xorg-video-intel (Ubuntu):
status: New → Triaged

Created attachment 60131
XorgLog.txt

Changed in xserver-xorg-video-intel:
importance: Unknown → High
status: Unknown → Confirmed

commit c501ae7f332cdaf42e31af30b72b4b66cbbb1604
Author: Chris Wilson <email address hidden>
Date: Wed Dec 14 13:57:23 2011 +0100

    drm/i915: Only clear the GPU domains upon a successful finish

    By clearing the GPU read domains before waiting upon the buffer, we run
    the risk of the wait being interrupted and the domains prematurely
    cleared. The next time we attempt to wait upon the buffer (after
    userspace handles the signal), we believe that the buffer is idle and so
    skip the wait.

    There are a number of bugs across all generations which show signs of an
    overly haste reuse of active buffers.

Bryce Harrington (bryce) wrote :

Upstream feels this kernel patch resolves the issue:

commit c501ae7f332cdaf42e31af30b72b4b66cbbb1604
Author: Chris Wilson <email address hidden>
Date: Wed Dec 14 13:57:23 2011 +0100

    drm/i915: Only clear the GPU domains upon a successful finish

    By clearing the GPU read domains before waiting upon the buffer, we run
    the risk of the wait being interrupted and the domains prematurely
    cleared. The next time we attempt to wait upon the buffer (after
    userspace handles the signal), we believe that the buffer is idle and so
    skip the wait.

    There are a number of bugs across all generations which show signs of an
    overly haste reuse of active buffers.

tags: added: kernel-handoff-graphics
Brad Figg (brad-figg) on 2012-04-17
Changed in linux (Ubuntu):
status: New → Confirmed
Andy Whitcroft (apw) wrote :

Ok this patch has now hit precise via stable 3.2.14 which is included in the precise 3.2.0-23.36 kernel. Could you test with that kernel and report back here please.

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
importance: Undecided → Medium
Bryce Harrington (bryce) wrote :

apw, interesting, looks l ike he was already running that kernel:

  ProcVersionSignature: Ubuntu 3.2.0-23.36-generic 3.2.14

if we're certain he was already running with the aforementioned patch, perhaps the upstream bug should be re-opened.

hmc8 (hmc8) wrote :

I run again "vdr-sxfe --video=xvmc". This time, complete Desktop freeze, i had to reboot.

uname -a
Linux i2400 3.2.0-23-generic #36-Ubuntu SMP Tue Apr 10 20:39:51 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

Changed in xserver-xorg-video-intel:
status: Confirmed → Fix Released

The patch pointed to in comment #5 is included in the kernel the user was running at the time of the original report.

The reporter has confirmed he's still seeing the problem:

"""
I run again "vdr-sxfe --video=xvmc". This time, complete Desktop freeze, i had to reboot.

uname -a
Linux i2400 3.2.0-23-generic #36-Ubuntu SMP Tue Apr 10 20:39:51 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux
"""

Changed in linux (Ubuntu):
status: Incomplete → New
Brad Figg (brad-figg) on 2012-04-20
Changed in linux (Ubuntu):
status: New → Confirmed
Changed in xserver-xorg-video-intel:
status: Fix Released → Confirmed
Chris Wilson (ickle) wrote :

SNB falsely advertised xvmc support.

Changed in xserver-xorg-video-intel (Ubuntu):
status: Triaged → Fix Released
Edward Cherlin (echerlin) wrote :

This and related GPU bugs started happening with considerable frequency two days ago when I upgraded to the 3.5.0-26.42 kernel. I do not experience lockups, but I do get significant font rendering damage in Firefox 19.0.2, and sometimes have to reboot.

Edward Cherlin (echerlin) wrote :

Reverting to kernel 3.5.0-25.39 did not fix the problem. Maybe it was some other package installed at the same time.

Edward Cherlin (echerlin) wrote :

Weird. I reinstalled Kernel 3.5.0-26.42, and the problem seems to have stopped.

hmc8, this bug was reported a while ago and there hasn't been any activity in it recently. We were wondering if this is still an issue? If so, could you please test for this with the latest development release of Ubuntu? ISO images are available from http://cdimage.ubuntu.com/daily-live/current/ .

If it remains an issue, could you please run the following command in the development release from a Terminal (Applications->Accessories->Terminal), as it will automatically gather and attach updated debug information to this report:

apport-collect -p linux <replace-with-bug-number>

Also, could you please test the latest upstream kernel available following https://wiki.ubuntu.com/KernelMainlineBuilds ? It will allow additional upstream developers to examine the issue. Please do not test the daily folder, but the one all the way at the bottom. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested. If this bug is fixed in the mainline kernel, please add the following tags:
kernel-fixed-upstream
kernel-fixed-upstream-VERSION-NUMBER

where VERSION-NUMBER is the version number of the kernel you tested. For example:
kernel-fixed-upstream-v3.11-rc5

This can be done by clicking on the yellow circle with a black pencil icon next to the word Tags located at the bottom of the bug description. As well, please remove the tag:
needs-upstream-testing

If the mainline kernel does not fix this bug, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-VERSION-NUMBER

As well, please remove the tag:
needs-upstream-testing

Once testing of the upstream kernel is complete, please mark this bug's Status as Confirmed. Please let us know your results. Thank you for your understanding.

tags: added: bios-outdated-3707
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Changed in xserver-xorg-video-intel:
status: Confirmed → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.